Skip to main content

Reset a device password

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/device-password/:extId/reset

Since: 8.2511.0

Required permission(s): AccessControl.CredentialView,AccessControl.CredentialModify or SelfAdmin Role

Resets the device password credential with the given external ID belonging to the specified user.

Depending on the password policy, the response either contains a part of the generated password in the passwordFragment field (HTTP 201) or no content is returned (HTTP 204).

Supports self-admin mode with JWT token validation.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the device password credential.

    Example: cred-123

Responses

Device password reset successfully, password fragment returned

Schema
    passwordFragment string

    A part of the generated password.

Loading...